Skip to content
Navigation

Create follow request

POST
https://api.sureshake.com/v2/directory/{subjectType}/{listingId}/follow-requests

Path parameters

  • subjectType
    person
    or
    entity
    required
  • listingId
    string
    required
    format: uuid

Request body JSON required

  • idempotencyKey
    string
    required
    maxLength: 255 · minLength: 8
  • actingPrincipal
    optional
    object
    • principalType
      user
      or
      entity
      or
      organization
      required
    • principalId
      string
      required
      maxLength: 255 · minLength: 1
  • requestNote
    optional
    string
    maxLength: 2000
  • reason
    optional
    string
    maxLength: 2000 · minLength: 3
  • requestedTier
    optional
    follower
    or
    capital
    or
    diligence
    or
    custom
  • desiredObservation
    optional
    string
    maxLength: 2000 · minLength: 3
  • requestedDurationDays
    optional
    integer
    maximum: 365 · minimum: 1
  • packageId
    optional
    string
    format: uuid

Returns

201

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • subject
      object
      required
      • listingId
        string
        required
        format: uuid
      • subjectType
        person
        or
        entity
        required
    • actingPrincipal
      object
      required
      • principalType
        user
        or
        entity
        or
        organization
        required
      • principalId
        string
        required
        maxLength: 255 · minLength: 1
    • requestedByUserId
      string
      required
    • status
      pending
      or
      approved
      or
      rejected
      or
      cancelled
      required
    • requestNote
      string
      or null
      required
    • reason
      string
      or null
      required
    • requestedTier
      follower
      or
      capital
      or
      diligence
      or
      custom
      or null
      required
    • desiredObservation
      string
      or null
      required
    • requestedDurationDays
      integer
      or null
      required
      maximum: 365 · minimum: 1
    • reviewDecision
      accepted
      or
      narrowed
      or
      declined
      or null
      required
    • grantedTier
      follower
      or
      capital
      or
      diligence
      or
      custom
      or null
      required
    • grantedDurationDays
      integer
      or null
      required
      maximum: 365 · minimum: 1
    • requestedPackageId
      string
      or null
      required
      format: uuid
    • reviewedByUserId
      string
      or null
      required
    • reviewedAt
      string
      or null
      required
      format: date-time
    • decisionNotes
      string
      or null
      required
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close